const fs = require("fs");
const util = require("../util.js");
const path = require("path");

const statsFilePath = path.resolve(path.dirname(module.filename), "../imagestats.csv");
const statsFile = fs.openSync(statsFilePath, "a");

const onMessage = msg => {
    let imagesCount = msg.attachments.filter(v => util.isValidImage(v.filename)).size;

    if(imagesCount > 0) {
        let now = new Date();
        fs.writeSync(statsFile, `${now.getUTCFullYear()}-${now.getUTCMonth()+1}-${now.getUTCDate()} ${now.getUTCHours()}:${now.getUTCMinutes()};${imagesCount};${msg.channel.name}\n`);
    }

    return false;
};

module.exports = {
    onMessage: onMessage
};

